Bug 985540 - (CVE-2013-4143) CVE-2013-4143 xlockmore: NULL pointer dereference leads to crash and bypass of screen lock
CVE-2013-4143 xlockmore: NULL pointer dereference leads to crash and bypass o...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130714,repor...
: Security
Depends On: 985542
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 13:34 EDT by Vincent Danen
Modified: 2016-03-04 06:53 EST (History)
2 users (show)

See Also:
Fixed In Version: xlockmore 5.43
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 15:57:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-07-17 13:34:55 EDT
It was reported [1],[2] that xlockmore 5.43 fixes a NULL pointer dereference in situations where the crypt() call fails (the release notes indicate this is possible with glibc starting with version 2.17 due to crypt() failures returning EINVAL with a NULL return in certain situations).  This could cause xlock to crash, which would allow for local users to obtain access to a locked desktop they would normally require a password to access.

A patch [3] is available.

This affects Fedora 19 as it provides glibc 2.17.  Earlier versions are not affected.


[1] http://www.tux.org/~bagleyd/xlock/xlockmore.README
[2] http://www.openwall.com/lists/oss-security/2013/07/16/8
[3] http://sourceforge.net/projects/miscellaneouspa/files/glibc217/xlockmore-5.42-glibc217-crypt.diff
Comment 1 Vincent Danen 2013-07-17 13:36:51 EDT
Created xlockmore tracking bugs for this issue:

Affects: fedora-19 [bug 985542]
Comment 2 Jan Lieskovsky 2013-07-18 09:39:06 EDT
The CVE identifier of CVE-2013-4143 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/07/18/6
Comment 3 Fedora Update System 2013-07-30 13:49:45 EDT
xlockmore-5.43-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-08-05 19:29:59 EDT
xlockmore-5.43-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.